Subject: Re: [Patch net-next v5 0/7] r8169: add RSS support for RTL8127

From: Simon Horman <[email-masked]>
Date: Thu, 28 May 2026 11:36:06 +0100

On Mon, May 25, 2026 at 07:15:23AM +0000, Javen wrote:
> >On Wed, May 20, 2026 at 11:15:56AM +0800, javen wrote:
> >> From: Javen Xu <[email-masked]>
> >>
> >> This patch series adds RSS (Receive Side Scaling) support for the
> >> r8169 ethernet driver, specifically for RTL8127 (RTL_GIGA_MAC_VER_80).
> >>
> >> RSS enables packet distribution across multiple receive queues, which
> >> can significantly improve network throughput on multi-core systems by
> >> allowing parallel processing of incoming packets.
> >
> >...
> >
> >Hi Javen,
> >
> >There are AI generated reviews of this patchset available on bogh
> >https://netdev-ai.bots.linux.dev/sashiko/ and https://sashiko.dev
> >
> >I would appreciate it if you could look over them and address any issues that
> >effect the functionality of your patchset. I do not suggest expanding the scope
> >of this patchset, but rather treating other issues in the context of possible
> >follow-up.
> 
> Hi,
> 
> r8169_main.c used request_irq() before, but I was suggested to use pci_request_irq() to generate the name for each irq dynamically. And I find that in pci_request_irq(), irqflags is fixed to IRQF_SHARED. So I want to know how can I handle with this situation?

I am unsure. But if that is the advice you received then I would suggest
sticking with it.